# PSF-LoginServer - master - net.psforever.objects.zones.ZoneVehicleActor
PSF - LoginServer - master - net.psforever.objects.zones.ZoneVehicleActor
Keywords: PSF LoginServer master net.psforever.objects.zones.ZoneVehicleActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

c

net.psforever.objects.zones

# ZoneVehicleActor 

###
Companion object ZoneVehicleActor

#### class ZoneVehicleActor extends Actor

Provide a context for a `Vehicle` `Actor` - the `VehicleControl`.
A vehicle can be passed between different zones and, therefore, does not belong to the zone. A vehicle cna be given to different players and can persist and change though players have gone. Therefore, also does not belong to `WorldSessionActor`. A vehicle must anchored to something that exists outside of the `InterstellarCluster` and its agents.
The only purpose of this `Actor` is to allow vehicles to borrow a context for the purpose of `Actor` creation. It is also be allowed to be responsible for cleaning up that context. (In reality, it can be cleaned up anywhere a `PoisonPill` can be sent.)
This `Actor` is intended to sit on top of the event system that handles broadcast messaging.

Source
  ZoneVehicleActor.scala

Linear Supertypes
Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZoneVehicleActor
2. Actor
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ZoneVehicleActor(zone: Zone, vehicleList: ListBuffer[Vehicle])

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
5.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
6.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
7.  def aroundPreStart(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
8.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  implicit val context: ActorContext
    Definition Classes
      Actor
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
22.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
23.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
24.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
25.  def receive: Receive
    Definition Classes
      ZoneVehicleActor → Actor
26.  implicit final val self: ActorRef
    Definition Classes
      Actor
27.  final def sender(): ActorRef
    Definition Classes
      Actor
28.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
29.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      AnyRef → Any
31.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped